com.intellectualcrafters.jnbt

## Class NBTConstants

- java.lang.Object
- - com.intellectualcrafters.jnbt.NBTConstants

-     public final class NBTConstants
      extends java.lang.Object

  A class which holds constant values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.nio.charset.Charset` | `CHARSET`
    `static int` | `TYPE_BYTE`
    `static int` | `TYPE_BYTE_ARRAY`
    `static int` | `TYPE_COMPOUND`
    `static int` | `TYPE_DOUBLE`
    `static int` | `TYPE_END`
    `static int` | `TYPE_FLOAT`
    `static int` | `TYPE_INT`
    `static int` | `TYPE_INT_ARRAY`
    `static int` | `TYPE_LIST`
    `static int` | `TYPE_LONG`
    `static int` | `TYPE_SHORT`
    `static int` | `TYPE_STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Class<? extends Tag>` | `getClassFromType(int id)` Convert a type ID to its corresponding `Tag` class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHARSET

          public static final java.nio.charset.Charset CHARSET

    - #### TYPE_END

          public static final int TYPE_END

      See Also:
        Constant Field Values

    - #### TYPE_BYTE

          public static final int TYPE_BYTE

      See Also:
        Constant Field Values

    - #### TYPE_SHORT

          public static final int TYPE_SHORT

      See Also:
        Constant Field Values

    - #### TYPE_INT

          public static final int TYPE_INT

      See Also:
        Constant Field Values

    - #### TYPE_LONG

          public static final int TYPE_LONG

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT

          public static final int TYPE_FLOAT

      See Also:
        Constant Field Values

    - #### TYPE_DOUBLE

          public static final int TYPE_DOUBLE

      See Also:
        Constant Field Values

    - #### TYPE_BYTE_ARRAY

          public static final int TYPE_BYTE_ARRAY

      See Also:
        Constant Field Values

    - #### TYPE_STRING

          public static final int TYPE_STRING

      See Also:
        Constant Field Values

    - #### TYPE_LIST

          public static final int TYPE_LIST

      See Also:
        Constant Field Values

    - #### TYPE_COMPOUND

          public static final int TYPE_COMPOUND

      See Also:
        Constant Field Values

    - #### TYPE_INT_ARRAY

          public static final int TYPE_INT_ARRAY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getClassFromType

          public static java.lang.Class<? extends Tag> getClassFromType(int id)

      Convert a type ID to its corresponding `Tag` class.
      Parameters:
        `id` - type ID
      Returns:
        tag class
      Throws:
        `java.lang.IllegalArgumentException` - thrown if the tag ID is not valid